import { Schema, model, Document } from 'mongoose';

export interface ITag extends Document {
  name: string;
  color: string;
}

const tagSchema = new Schema<ITag>({
  name:  { type: String, required: true },
  color: { type: String, required: true }
});

export default model<ITag>('Tag', tagSchema);
